io.vertx.ext.auth.mongo

## Interface MongoAuthorization

- All Superinterfaces:
    AuthorizationProvider

      public interface MongoAuthorization
      extends AuthorizationProvider

  An extension of AuthProvider which is using `MongoClient` as store
  Author:
    francoisprunier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_COLLECTION_NAME` The default name of the collection to be used
    `static String` | `DEFAULT_PERMISSION_FIELD` The default name of the property for the permissions, like it is stored in mongodb.
    `static String` | `DEFAULT_ROLE_FIELD` The default name of the property for the roles, like it is stored in mongodb.
    `static String` | `DEFAULT_USERNAME_FIELD` The default name of the property for the username, like it is stored in mongodb

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MongoAuthorization` | `create(String providerId, MongoClient mongoClient, MongoAuthorizationOptions options)` Creates an instance of MongoAuthorization by using the given `MongoClient` and configuration object.

    - ### Methods inherited from interface io.vertx.ext.auth.authorization.AuthorizationProvider

      `create, getAuthorizations, getAuthorizations, getId`

- - ### Field Detail

    - #### DEFAULT_COLLECTION_NAME

          static final String DEFAULT_COLLECTION_NAME

      The default name of the collection to be used
      See Also:
        Constant Field Values

    - #### DEFAULT_USERNAME_FIELD

          static final String DEFAULT_USERNAME_FIELD

      The default name of the property for the username, like it is stored in mongodb
      See Also:
        Constant Field Values

    - #### DEFAULT_ROLE_FIELD

          static final String DEFAULT_ROLE_FIELD

      The default name of the property for the roles, like it is stored in mongodb. Roles are expected to be saved as JsonArray
      See Also:
        Constant Field Values

    - #### DEFAULT_PERMISSION_FIELD

          static final String DEFAULT_PERMISSION_FIELD

      The default name of the property for the permissions, like it is stored in mongodb. Permissions are expected to be saved as JsonArray
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static MongoAuthorization create(String providerId,
                                           MongoClient mongoClient,
                                           MongoAuthorizationOptions options)

      Creates an instance of MongoAuthorization by using the given `MongoClient` and configuration object.
      Parameters:
        `providerId` - the provider ID to differentiate from others
        `mongoClient` - an instance of `MongoClient` to be used for data storage and retrival
        `options` - the configuration object for the current instance.
      Returns:
        the created instance of `MongoAuthorization`

Copyright © 2025 Eclipse. All rights reserved.